# __gnu_parallel::LoserTreeBase< T, Comparator >::LoserTreeBase::Loser Struct Reference

Internal representation of a LoserTree element. More...

List of all members.

## Public Attributes

- T key
- int source
- bool sup

## Detailed Description

### template<typename T, typename Comparator>
struct __gnu_parallel::LoserTreeBase< T, Comparator >::Loser

Internal representation of a LoserTree element.

Definition at line 61 of file losertree.h.

## Member Data Documentation

template<typename T, typename Comparator>

T __gnu_parallel::LoserTreeBase< T, Comparator >::LoserTreeBase::Loser::key

key of the element in the LoserTree.

Definition at line 68 of file losertree.h.

Referenced by __gnu_parallel::LoserTreeBase< T, Comparator >::insert_start().

template<typename T, typename Comparator>

int __gnu_parallel::LoserTreeBase< T, Comparator >::LoserTreeBase::Loser::source

index of the source sequence.

Definition at line 66 of file losertree.h.

Referenced by __gnu_parallel::LoserTreeBase< T, Comparator >::get_min_source(), and __gnu_parallel::LoserTreeBase< T, Comparator >::insert_start().

template<typename T, typename Comparator>

bool __gnu_parallel::LoserTreeBase< T, Comparator >::LoserTreeBase::Loser::sup

flag, true iff this is a "maximum" sentinel.

Definition at line 64 of file losertree.h.

Referenced by __gnu_parallel::LoserTreeBase< T, Comparator >::insert_start().

The documentation for this struct was generated from the following file:

- losertree.h